Kerbal Space Program - Bug #3964

Massive lag when opening contracts app
01/12/2015 09:14 PM - nightingale

Status: Closed Start date: 01/12/2015
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.90 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

The contracts app is subject to a bug where it will lock up the game completely when the player opens it. This lag can be almost
unnoticeable (which is what typically happens) or as much as a few minutes. The lag is directly related to the number of
GameEvents.Contract.onParameterChange events have been fired since the contract app has been opened. My testing seems to
imply that the scaling is not linear. Firing around 20 caused it to lag for about 10 seconds. Increasing it tenfold to 200 made it lag for
over 3 minutes.

The following code run once in any contract parameter can show the issue:
for (inti=0;i<50;i++) {
GameEvents.Contract.onParameterChange.Fire(this.Root, this);

}

After the above gets run, if the player opens the contracts app it will lock up.

Some (not much) more details from the user that brought the issue up in the forum:
http://forum.kerbalspaceprogram.com/threads/101604?p=1665290&viewfull=1#post1665290

Also, this can be reproduced with a stock install, but not easily. Flying in and out of the flight window of a part test contract
repeatedly with the ContractsApp window minimized is the easiest way to generate sufficient events for the lag to be noticeable.

History

#1 - 11/17/2015 02:31 PM - sal_vager
- Severity changed from High to Low

Deferred to after 1.1 due to Ul overhaul.

#2 - 07/17/2016 09:40 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 07/17/2016 03:22 PM - nightingale
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

I'm about 99% sure that was fixed by the changes in 1.1, closing.
